﻿using System.Monads;
using UnityEditor;

public class PopupCallback
{
    public static PopupCallback instance;
    public int controlId;
    public bool change;

    public delegate void SetValueDelegate(object data);

    public static void Init(int controlId)
    {
        instance = new PopupCallback { controlId = controlId };
    }

    public static bool Its(int controlId)
    {
        return instance.With(x => x.change) && instance.controlId == controlId;
    }

    public object obj;
    public static EditorUtility.SelectMenuItemFunction SetValueStandart(int controlId)
    {
        Init(controlId);
        return instance._SetValue;
    }

    public static SetValueDelegate SetValue(int controlId)
    {
        Init(controlId);
        return instance._SetValue;
    }

    public void _SetValue(object userData, string[] options, int selected)
    {
        change = true;
        obj = selected;
    }

    public void _SetValue(object data)
    {
        change = true;
        obj = data;
    }

    public static object GetValue()
    {
        var result = instance.obj;
        instance = null;
        return result;
    }

    public static T GetValue<T>()
    {
        var result = (T)instance.obj;
        instance = null;
        return result;
    }
}