﻿using System.IO;
using System.Linq;
using UnityEditor;
using UnityEngine;

internal static class cssGUIIcons
{
    static cssGUIIcons()
    {
        path = Path.GetDirectoryName(AssetDatabase.GetAllAssetPaths().FirstOrDefault(x => x.Contains("/cssGUI/Icons/"))) + "/";
        save = GetPng("Save");
        copy = GetPng("Copy");
        cut = GetPng("Cut");
        paste = GetPng("Paste");
        file = GetPng("File");
        file_add = GetPng("File_add");
        file_edit = GetPng("File_edit");
        file_remove = GetPng("File_delete");
        folder = GetPng("Folder");
        search = GetPng("Search");
        tools = GetPng("Tools");
    }

    private static string path;

    private static Texture2D GetPng(string iconName)
    {
        return AssetDatabase.LoadAssetAtPath(path + iconName + ".png", typeof (Texture2D)) as Texture2D;
    }

    public static Texture2D save, copy, cut, paste, file, file_add, file_edit, file_remove, search, tools, folder;
}